Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMILVideoSource Class Reference

`#include <vtkMILVideoSource.h>`

Inheritance diagram for vtkMILVideoSource:

[legend]
Collaboration diagram for vtkMILVideoSource:

[legend]
List of all members.

## Detailed Description

Matrox Imaging Library frame grabbers.

Date:
  2002/09/09 21:36:49

Revision:
  1.20

vtkMILVideoSource provides an interface to Matrox Meteor, MeteorII and Corona video digitizers through the Matrox Imaging Library interface. In order to use this class, you must link VTK with mil.lib, MIL version 5.0 or higher is required.

Warning:
  With some capture cards, if this class is leaked and ReleaseSystemResources is not called, you may have to reboot before you can capture again. vtkVideoSource used to keep a global list and delete the video sources if your program leaked, due to exit crashes that was removed.

See also:
  vtkWin32VideoSource vtkVideoSource

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (99%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkMILVideoSource.h)`
  - .`cxx` (`/Hybrid/vtkMILVideoSource.cxx)`

Definition at line 81 of file vtkMILVideoSource.h.

## [NOHEADER]
void | InternalGrab ()
void * | OldHookFunction
void * | OldUserDataPtr
int | FrameCounter
int | ForceGrab
## Public Types
typedef vtkVideoSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | Record ()
void | Play ()
void | Stop ()
void | Grab ()
void | SetFrameSize (int x, int y, int z)
void | SetOutputFormat (int format)
void | Initialize ()
void | ReleaseSystemResources ()
virtual void | SetVideoChannel (int channel)
virtual int | GetVideoChannel ()
virtual void | SetVideoFormat (int format)
void | SetVideoFormatToNTSC ()
void | SetVideoFormatToPAL ()
void | SetVideoFormatToSECAM ()
void | SetVideoFormatToRS170 ()
void | SetVideoFormatToCCIR ()
void | SetVideoFormatToNonStandard ()
virtual int | GetVideoFormat ()
virtual void | SetVideoInput (int input)
void | SetVideoInputToMono ()
void | SetVideoInputToComposite ()
void | SetVideoInputToYC ()
void | SetVideoInputToRGB ()
void | SetVideoInputToDigital ()
virtual int | GetVideoInput ()
virtual void | SetContrastLevel (float contrast)
virtual float | GetContrastLevel ()
virtual void | SetBrightnessLevel (float brightness)
virtual float | GetBrightnessLevel ()
virtual void | SetHueLevel (float hue)
virtual float | GetHueLevel ()
virtual void | SetSaturationLevel (float saturation)
virtual float | GetSaturationLevel ()
virtual void | SetBlackLevel (float value)
virtual float | GetBlackLevel ()
virtual void | SetWhiteLevel (float value)
virtual float | GetWhiteLevel ()
virtual void | SetMILSystemType (const char *)
virtual char * | GetMILSystemType ()
void | SetMILSystemTypeToMeteor ()
void | SetMILSystemTypeToMeteorII ()
void | SetMILSystemTypeToMeteorIIDig ()
void | SetMILSystemTypeToMeteorIICL ()
void | SetMILSystemTypeToMeteorII1394 ()
void | SetMILSystemTypeToCorona ()
void | SetMILSystemTypeToCoronaII ()
void | SetMILSystemTypeToPulsar ()
void | SetMILSystemTypeToGenesis ()
void | SetMILSystemTypeToGenesisPlus ()
void | SetMILSystemTypeToOrion ()
void | SetMILSystemTypeToCronos ()
void | SetMILSystemTypeToOdyssey ()
virtual void | SetMILSystemNumber (int)
virtual int | GetMILSystemNumber ()
virtual void | SetMILDigitizerDCF (const char *)
virtual char * | GetMILDigitizerDCF ()
virtual void | SetMILDigitizerNumber (int)
virtual int | GetMILDigitizerNumber ()
virtual void | SetMILErrorMessages (int yesno)
virtual void | MILErrorMessagesOn ()
virtual void | MILErrorMessagesOff ()
virtual int | GetMILErrorMessages ()
virtual void | SetMILAppID (long)
virtual long | GetMILAppID ()
virtual void | SetMILSysID (long)
virtual long | GetMILSysID ()
virtual long | GetMILDigID ()
virtual long | GetMILBufID ()
## Static Public Methods
vtkMILVideoSource * | New ()
int | IsTypeOf (const char *type)
vtkMILVideoSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMILVideoSource ()
| ~vtkMILVideoSource ()
virtual void | AllocateMILDigitizer ()
virtual void | AllocateMILBuffer ()
virtual void * | MILInterpreterForSystem (const char *system)
double | CreateTimeStampForFrame (unsigned long frame)
## Protected Attributes
char * | MILInterpreterDLL
int | VideoChannel
int | VideoInput
int | VideoInputForColor
int | VideoFormat
float | ContrastLevel
float | BrightnessLevel
float | HueLevel
float | SaturationLevel
float | BlackLevel
float | WhiteLevel
int | FrameMaxSize [2]
long | MILAppID
long | MILSysID
long | MILDigID
long | MILBufID
char * | MILSystemType
int | MILSystemNumber
int | MILDigitizerNumber
char * | MILDigitizerDCF
int | MILErrorMessages
int | MILAppInternallyAllocated
int | MILSysInternallyAllocated
int | FatalMILError
double | LastTimeStamp
unsigned long | LastFrameCount
double | EstimatedFramePeriod
double | NextFramePeriod

## Member Typedef Documentation

typedef vtkVideoSource vtkMILVideoSource::Superclass

| Reimplemented from vtkVideoSource. Definition at line 85 of file vtkMILVideoSource.h.

## Constructor & Destructor Documentation

vtkMILVideoSource::vtkMILVideoSource | ( |  | ) | `[protected]`

vtkMILVideoSource::~vtkMILVideoSource | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMILVideoSource* vtkMILVideoSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkVideoSource.

virtual const char* vtkMILVideoSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVideoSource.

int vtkMILVideoSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVideoSource.

virtual int vtkMILVideoSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVideoSource.

vtkMILVideoSource* vtkMILVideoSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVideoSource.

void vtkMILVideoSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVideoSource.

void vtkMILVideoSource::Record | ( |  | ) | `[virtual]`

| Standard VCR functionality: Record incoming video. Reimplemented from vtkVideoSource.

void vtkMILVideoSource::Play | ( |  | ) | `[virtual]`

| Standard VCR functionality: Play recorded video. Reimplemented from vtkVideoSource.

void vtkMILVideoSource::Stop | ( |  | ) | `[virtual]`

| Standard VCR functionality: Stop recording or playing. Reimplemented from vtkVideoSource.

void vtkMILVideoSource::Grab | ( |  | ) | `[virtual]`

| Grab a single video frame. Reimplemented from vtkVideoSource.

void vtkMILVideoSource::SetFrameSize | ( | int | x,
|  | int | y,
|  | int | z
| ) | `[virtual]`

| Request a particular frame size (set the third value to 1). Reimplemented from vtkVideoSource.

void vtkMILVideoSource::SetOutputFormat | ( | int | format | ) | `[virtual]`

| Request a particular output format (default: VTK_RGB). Reimplemented from vtkVideoSource.

virtual void vtkMILVideoSource::SetVideoChannel | ( | int | channel | ) | `[virtual]`

| Set/Get the video channel

virtual int vtkMILVideoSource::GetVideoChannel | ( |  | ) | `[virtual]`

| Set/Get the video channel

virtual void vtkMILVideoSource::SetVideoFormat | ( | int | format | ) | `[virtual]`

| Set/Get the video format

void vtkMILVideoSource::SetVideoFormatToNTSC | ( |  | ) | `[inline]`

| Set/Get the video format Definition at line 115 of file vtkMILVideoSource.h. References VTK_MIL_NTSC.

void vtkMILVideoSource::SetVideoFormatToPAL | ( |  | ) | `[inline]`

| Set/Get the video format Definition at line 116 of file vtkMILVideoSource.h. References VTK_MIL_PAL.

void vtkMILVideoSource::SetVideoFormatToSECAM | ( |  | ) | `[inline]`

| Set/Get the video format Definition at line 117 of file vtkMILVideoSource.h. References VTK_MIL_SECAM.

void vtkMILVideoSource::SetVideoFormatToRS170 | ( |  | ) | `[inline]`

| Set/Get the video format Definition at line 118 of file vtkMILVideoSource.h. References VTK_MIL_RS170.

void vtkMILVideoSource::SetVideoFormatToCCIR | ( |  | ) | `[inline]`

| Set/Get the video format Definition at line 119 of file vtkMILVideoSource.h. References VTK_MIL_CCIR.

void vtkMILVideoSource::SetVideoFormatToNonStandard | ( |  | ) | `[inline]`

| Set/Get the video format Definition at line 120 of file vtkMILVideoSource.h. References VTK_MIL_NONSTANDARD.

virtual int vtkMILVideoSource::GetVideoFormat | ( |  | ) | `[virtual]`

| Set/Get the video format

virtual void vtkMILVideoSource::SetVideoInput | ( | int | input | ) | `[virtual]`

| Set/Get the video input

void vtkMILVideoSource::SetVideoInputToMono | ( |  | ) | `[inline]`

| Set/Get the video input Definition at line 128 of file vtkMILVideoSource.h. References VTK_MIL_MONO.

void vtkMILVideoSource::SetVideoInputToComposite | ( |  | ) | `[inline]`

| Set/Get the video input Definition at line 129 of file vtkMILVideoSource.h. References VTK_MIL_COMPOSITE.

void vtkMILVideoSource::SetVideoInputToYC | ( |  | ) | `[inline]`

| Set/Get the video input Definition at line 130 of file vtkMILVideoSource.h. References VTK_MIL_YC.

void vtkMILVideoSource::SetVideoInputToRGB | ( |  | ) | `[inline]`

| Set/Get the video input Definition at line 131 of file vtkMILVideoSource.h. References VTK_MIL_RGB.

void vtkMILVideoSource::SetVideoInputToDigital | ( |  | ) | `[inline]`

| Set/Get the video input Definition at line 132 of file vtkMILVideoSource.h. References VTK_MIL_DIGITAL.

virtual int vtkMILVideoSource::GetVideoInput | ( |  | ) | `[virtual]`

| Set/Get the video input

virtual void vtkMILVideoSource::SetContrastLevel | ( | float | contrast | ) | `[virtual]`

| Set/Get the video levels for composite/SVideo: the valid ranges are: Contrast [0.0,2.0] Brighness [0.0,255.0] Hue [-0.5,0.5] Saturation [0.0,2.0]

virtual float vtkMILVideoSource::GetContrastLevel | ( |  | ) | `[virtual]`

| Set/Get the video levels for composite/SVideo: the valid ranges are: Contrast [0.0,2.0] Brighness [0.0,255.0] Hue [-0.5,0.5] Saturation [0.0,2.0]

virtual void vtkMILVideoSource::SetBrightnessLevel | ( | float | brightness | ) | `[virtual]`

| Set/Get the video levels for composite/SVideo: the valid ranges are: Contrast [0.0,2.0] Brighness [0.0,255.0] Hue [-0.5,0.5] Saturation [0.0,2.0]

virtual float vtkMILVideoSource::GetBrightnessLevel | ( |  | ) | `[virtual]`

| Set/Get the video levels for composite/SVideo: the valid ranges are: Contrast [0.0,2.0] Brighness [0.0,255.0] Hue [-0.5,0.5] Saturation [0.0,2.0]

virtual void vtkMILVideoSource::SetHueLevel | ( | float | hue | ) | `[virtual]`

| Set/Get the video levels for composite/SVideo: the valid ranges are: Contrast [0.0,2.0] Brighness [0.0,255.0] Hue [-0.5,0.5] Saturation [0.0,2.0]

virtual float vtkMILVideoSource::GetHueLevel | ( |  | ) | `[virtual]`

| Set/Get the video levels for composite/SVideo: the valid ranges are: Contrast [0.0,2.0] Brighness [0.0,255.0] Hue [-0.5,0.5] Saturation [0.0,2.0]

virtual void vtkMILVideoSource::SetSaturationLevel | ( | float | saturation | ) | `[virtual]`

| Set/Get the video levels for composite/SVideo: the valid ranges are: Contrast [0.0,2.0] Brighness [0.0,255.0] Hue [-0.5,0.5] Saturation [0.0,2.0]

virtual float vtkMILVideoSource::GetSaturationLevel | ( |  | ) | `[virtual]`

| Set/Get the video levels for composite/SVideo: the valid ranges are: Contrast [0.0,2.0] Brighness [0.0,255.0] Hue [-0.5,0.5] Saturation [0.0,2.0]

virtual void vtkMILVideoSource::SetBlackLevel | ( | float | value | ) | `[virtual]`

| Set/Get the video levels for monochrome/RGB: valid values are between 0.0 and 255.0.

virtual float vtkMILVideoSource::GetBlackLevel | ( |  | ) | `[inline, virtual]`

| Set/Get the video levels for monochrome/RGB: valid values are between 0.0 and 255.0. Definition at line 154 of file vtkMILVideoSource.h.

virtual void vtkMILVideoSource::SetWhiteLevel | ( | float | value | ) | `[virtual]`

| Set/Get the video levels for monochrome/RGB: valid values are between 0.0 and 255.0.

virtual float vtkMILVideoSource::GetWhiteLevel | ( |  | ) | `[inline, virtual]`

| Set/Get the video levels for monochrome/RGB: valid values are between 0.0 and 255.0. Definition at line 157 of file vtkMILVideoSource.h.

virtual void vtkMILVideoSource::SetMILSystemType | ( | const char * |  | ) | `[virtual]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected.

virtual char* vtkMILVideoSource::GetMILSystemType | ( |  | ) | `[virtual]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected.

void vtkMILVideoSource::SetMILSystemTypeToMeteor | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 166 of file vtkMILVideoSource.h. References VTK_MIL_METEOR.

void vtkMILVideoSource::SetMILSystemTypeToMeteorII | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 167 of file vtkMILVideoSource.h. References VTK_MIL_METEOR_II.

void vtkMILVideoSource::SetMILSystemTypeToMeteorIIDig | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 168 of file vtkMILVideoSource.h. References VTK_MIL_METEOR_II_DIG.

void vtkMILVideoSource::SetMILSystemTypeToMeteorIICL | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 169 of file vtkMILVideoSource.h. References VTK_MIL_METEOR_II_CL.

void vtkMILVideoSource::SetMILSystemTypeToMeteorII1394 | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 170 of file vtkMILVideoSource.h. References VTK_MIL_METEOR_II_1394.

void vtkMILVideoSource::SetMILSystemTypeToCorona | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 171 of file vtkMILVideoSource.h. References VTK_MIL_CORONA.

void vtkMILVideoSource::SetMILSystemTypeToCoronaII | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 172 of file vtkMILVideoSource.h. References VTK_MIL_CORONA_II.

void vtkMILVideoSource::SetMILSystemTypeToPulsar | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 173 of file vtkMILVideoSource.h. References VTK_MIL_PULSAR.

void vtkMILVideoSource::SetMILSystemTypeToGenesis | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 174 of file vtkMILVideoSource.h. References VTK_MIL_GENESIS.

void vtkMILVideoSource::SetMILSystemTypeToGenesisPlus | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 175 of file vtkMILVideoSource.h. References VTK_MIL_GENESIS_PLUS.

void vtkMILVideoSource::SetMILSystemTypeToOrion | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 176 of file vtkMILVideoSource.h. References VTK_MIL_ORION.

void vtkMILVideoSource::SetMILSystemTypeToCronos | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 177 of file vtkMILVideoSource.h. References VTK_MIL_CRONOS.

void vtkMILVideoSource::SetMILSystemTypeToOdyssey | ( |  | ) | `[inline]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected. Definition at line 178 of file vtkMILVideoSource.h. References VTK_MIL_ODYSSEY.

virtual void vtkMILVideoSource::SetMILSystemNumber | ( | int |  | ) | `[virtual]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected.

virtual int vtkMILVideoSource::GetMILSystemNumber | ( |  | ) | `[virtual]`

| Set the system which you want use. If you don't specify a system, then your primary digitizer will be autodetected.

virtual void vtkMILVideoSource::SetMILDigitizerDCF | ( | const char * |  | ) | `[virtual]`

| Set the DCF filename for non-standard video formats

virtual char* vtkMILVideoSource::GetMILDigitizerDCF | ( |  | ) | `[virtual]`

| Set the DCF filename for non-standard video formats

virtual void vtkMILVideoSource::SetMILDigitizerNumber | ( | int |  | ) | `[virtual]`

| Set the digitizer number for systems with multiple digitizers

virtual int vtkMILVideoSource::GetMILDigitizerNumber | ( |  | ) | `[virtual]`

| Set the digitizer number for systems with multiple digitizers

virtual void vtkMILVideoSource::SetMILErrorMessages | ( | int | yesno | ) | `[virtual]`

| Set whether to display MIL error messages (default on)

virtual void vtkMILVideoSource::MILErrorMessagesOn | ( |  | ) | `[virtual]`

| Set whether to display MIL error messages (default on)

virtual void vtkMILVideoSource::MILErrorMessagesOff | ( |  | ) | `[virtual]`

| Set whether to display MIL error messages (default on)

virtual int vtkMILVideoSource::GetMILErrorMessages | ( |  | ) | `[virtual]`

| Set whether to display MIL error messages (default on)

virtual void vtkMILVideoSource::SetMILAppID | ( | long |  | ) | `[virtual]`

| Allows fine-grained control

virtual long vtkMILVideoSource::GetMILAppID | ( |  | ) | `[virtual]`

| Allows fine-grained control

virtual void vtkMILVideoSource::SetMILSysID | ( | long |  | ) | `[virtual]`

| Allows fine-grained control

virtual long vtkMILVideoSource::GetMILSysID | ( |  | ) | `[virtual]`

| Allows fine-grained control

virtual long vtkMILVideoSource::GetMILDigID | ( |  | ) | `[virtual]`

| Allows fine-grained control

virtual long vtkMILVideoSource::GetMILBufID | ( |  | ) | `[virtual]`

| Allows fine-grained control

void vtkMILVideoSource::Initialize | ( |  | ) | `[virtual]`

| Initialize the driver (this is called automatically when the first grab is done). Reimplemented from vtkVideoSource.

void vtkMILVideoSource::ReleaseSystemResources | ( |  | ) | `[virtual]`

| Free the driver (this is called automatically inside the destructor). Reimplemented from vtkVideoSource.

void vtkMILVideoSource::InternalGrab | ( |  | ) | `[virtual]`

| The internal function which actually does the grab. You will definitely want to override this if you develop a vtkVideoSource subclass. Reimplemented from vtkVideoSource.

virtual void vtkMILVideoSource::AllocateMILDigitizer | ( |  | ) | `[protected, virtual]`

virtual void vtkMILVideoSource::AllocateMILBuffer | ( |  | ) | `[protected, virtual]`

virtual void* vtkMILVideoSource::MILInterpreterForSystem | ( | const char * | system | ) | `[protected, virtual]`

double vtkMILVideoSource::CreateTimeStampForFrame | ( | unsigned long | frame | ) | `[protected]`

| Method for updating the virtual clock that accurately times the arrival of each frame, more accurately than is possible with the system clock alone because the virtual clock averages out the jitter.

## Member Data Documentation

void* vtkMILVideoSource::OldHookFunction

| For internal use only Definition at line 223 of file vtkMILVideoSource.h.

void* vtkMILVideoSource::OldUserDataPtr

| Definition at line 224 of file vtkMILVideoSource.h.

int vtkMILVideoSource::FrameCounter

| Definition at line 225 of file vtkMILVideoSource.h.

int vtkMILVideoSource::ForceGrab

| Definition at line 226 of file vtkMILVideoSource.h.

char* vtkMILVideoSource::MILInterpreterDLL`[protected]`

| Definition at line 238 of file vtkMILVideoSource.h.

int vtkMILVideoSource::VideoChannel`[protected]`

| Definition at line 240 of file vtkMILVideoSource.h.

int vtkMILVideoSource::VideoInput`[protected]`

| Definition at line 241 of file vtkMILVideoSource.h.

int vtkMILVideoSource::VideoInputForColor`[protected]`

| Definition at line 242 of file vtkMILVideoSource.h.

int vtkMILVideoSource::VideoFormat`[protected]`

| Definition at line 243 of file vtkMILVideoSource.h.

float vtkMILVideoSource::ContrastLevel`[protected]`

| Definition at line 245 of file vtkMILVideoSource.h.

float vtkMILVideoSource::BrightnessLevel`[protected]`

| Definition at line 246 of file vtkMILVideoSource.h.

float vtkMILVideoSource::HueLevel`[protected]`

| Definition at line 247 of file vtkMILVideoSource.h.

float vtkMILVideoSource::SaturationLevel`[protected]`

| Definition at line 248 of file vtkMILVideoSource.h.

float vtkMILVideoSource::BlackLevel`[protected]`

| Definition at line 250 of file vtkMILVideoSource.h.

float vtkMILVideoSource::WhiteLevel`[protected]`

| Definition at line 251 of file vtkMILVideoSource.h.

int vtkMILVideoSource::FrameMaxSize[2]`[protected]`

| Definition at line 253 of file vtkMILVideoSource.h.

long vtkMILVideoSource::MILAppID`[protected]`

| Definition at line 255 of file vtkMILVideoSource.h.

long vtkMILVideoSource::MILSysID`[protected]`

| Definition at line 256 of file vtkMILVideoSource.h.

long vtkMILVideoSource::MILDigID`[protected]`

| Definition at line 257 of file vtkMILVideoSource.h.

long vtkMILVideoSource::MILBufID`[protected]`

| Definition at line 258 of file vtkMILVideoSource.h.

char* vtkMILVideoSource::MILSystemType`[protected]`

| Definition at line 262 of file vtkMILVideoSource.h.

int vtkMILVideoSource::MILSystemNumber`[protected]`

| Definition at line 263 of file vtkMILVideoSource.h.

int vtkMILVideoSource::MILDigitizerNumber`[protected]`

| Definition at line 265 of file vtkMILVideoSource.h.

char* vtkMILVideoSource::MILDigitizerDCF`[protected]`

| Definition at line 266 of file vtkMILVideoSource.h.

int vtkMILVideoSource::MILErrorMessages`[protected]`

| Definition at line 268 of file vtkMILVideoSource.h.

int vtkMILVideoSource::MILAppInternallyAllocated`[protected]`

| Definition at line 270 of file vtkMILVideoSource.h.

int vtkMILVideoSource::MILSysInternallyAllocated`[protected]`

| Definition at line 271 of file vtkMILVideoSource.h.

int vtkMILVideoSource::FatalMILError`[protected]`

| Definition at line 273 of file vtkMILVideoSource.h.

double vtkMILVideoSource::LastTimeStamp`[protected]`

| Definition at line 280 of file vtkMILVideoSource.h.

unsigned long vtkMILVideoSource::LastFrameCount`[protected]`

| Definition at line 281 of file vtkMILVideoSource.h.

double vtkMILVideoSource::EstimatedFramePeriod`[protected]`

| Definition at line 282 of file vtkMILVideoSource.h.

double vtkMILVideoSource::NextFramePeriod`[protected]`

| Definition at line 283 of file vtkMILVideoSource.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkMILVideoSource.h